Mandrake Linux Security Advisory : proftpd (MDKSA-2004:041)

High Nessus Plugin ID 14140


The remote Mandrake Linux host is missing one or more security updates.


A portability workaround that was applied in version 1.2.9 of the ProFTPD FTP server caused CIDR based ACL entries in 'Allow' and 'Deny' directives to act like an 'AllowAll' directive. This granted FTP clients access to files and directories that the server configuration may have been explicitly denying.

This problem only exists in version 1.2.9 and has been fixed upstream.
A patch has been applied to correct the problem.


Update the affected proftpd and / or proftpd-anonymous packages.

See Also

Plugin Details

Severity: High

ID: 14140

File Name: mandrake_MDKSA-2004-041.nasl

Version: $Revision: 1.15 $

Type: local

Published: 2004/07/31

Modified: 2013/05/31

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:proftpd, p-cpe:/a:mandriva:linux:proftpd-anonymous, cpe:/o:mandrakesoft:mandrake_linux:10.0

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Patch Publication Date: 2004/04/30

Reference Information

CVE: CVE-2004-0432

MDKSA: 2004:041